com.pixelmed.test

## Class TestGeometryOfSlice

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestGeometryOfSlice

-     public class TestGeometryOfSlice
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestGeometryOfSlice(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `check3D2DConversion(GeometryOfSlice geometry, double column, double row, double expectX, double expectY, double expectZ)`
    `protected boolean` | `epsilonEquals(double value1, double value2, double epsilon)`
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestGeometryOfSlice_3D2DConversions1()`
    `void` | `TestGeometryOfSlice_3D2DConversions2()`
    `void` | `TestGeometryOfSlice_3D2DConversions3()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestGeometryOfSlice

          public TestGeometryOfSlice(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### epsilonEquals

          protected boolean epsilonEquals(double value1,
                                          double value2,
                                          double epsilon)

    - #### check3D2DConversion

          protected void check3D2DConversion(GeometryOfSlice geometry,
                                             double column,
                                             double row,
                                             double expectX,
                                             double expectY,
                                             double expectZ)

    - #### TestGeometryOfSlice_3D2DConversions1

          public void TestGeometryOfSlice_3D2DConversions1()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestGeometryOfSlice_3D2DConversions2

          public void TestGeometryOfSlice_3D2DConversions2()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestGeometryOfSlice_3D2DConversions3

          public void TestGeometryOfSlice_3D2DConversions3()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`